From 073d6f5854c6f1019169425bb7f7e8bf374997fd Mon Sep 17 00:00:00 2001
From: piotr <nwg.piotr@gmail.com>
Date: Mon, 1 Jul 2019 01:05:19 +0200
Subject: [PATCH 1/2] New package: azote-1.1.1

---
 srcpkgs/azote/template | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)
 create mode 100644 srcpkgs/azote/template

diff --git a/srcpkgs/azote/template b/srcpkgs/azote/template
new file mode 100644
index 00000000000..6d2b76318de
--- /dev/null
+++ b/srcpkgs/azote/template
@@ -0,0 +1,28 @@
+# Template file for 'azote'
+pkgname=azote
+version=1.1.1
+revision=1
+archs=noarch
+build_style=python3-module
+pycompile_module="azote"
+hostmakedepends="python3-setuptools"
+depends="python3>=3.5 python3-setuptools python3-gobject python3-Pillow gtk+3 feh xrandr wmctrl"
+short_desc="Wallpaper manager for Sway, i3 and some other WMs"
+maintainer="Piotr Miller <nwg.piotr@gmail.com>"
+license="GPL-3.0-or-later"
+homepage="https://github.com/nwg-piotr/azote"
+distfiles="${homepage}/archive/v${version}.tar.gz"
+checksum=f7c818b11d3add7af9388589fc6658b0121772acdf899a5ba4a275d082621a63
+
+do_install() {
+	python3 setup.py install --prefix=/usr --root=${DESTDIR} ${make_install_args}
+	vmkdir usr/bin
+	vmkdir usr/share/${pkgname}
+	vmkdir usr/share/applications
+
+	vcopy "dist/${pkgname}.svg" usr/share/${pkgname}
+	vcopy "dist/${pkgname}-void.sh" usr/share/${pkgname}
+	vcopy "dist/${pkgname}.desktop" usr/share/applications
+
+	ln -sf /usr/share/${pkgname}/${pkgname}-void.sh ${DESTDIR}/usr/bin/${pkgname}
+}
\ No newline at end of file

From 13b8a92eff305c5c100978ccca849ffba5a8080a Mon Sep 17 00:00:00 2001
From: piotr <nwg.piotr@gmail.com>
Date: Mon, 1 Jul 2019 23:18:26 +0200
Subject: [PATCH 2/2] New package: azote-1.1-2

---
 srcpkgs/azote/template | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

diff --git a/srcpkgs/azote/template b/srcpkgs/azote/template
index 6d2b76318de..c93e90a029f 100644
--- a/srcpkgs/azote/template
+++ b/srcpkgs/azote/template
@@ -1,6 +1,6 @@
 # Template file for 'azote'
 pkgname=azote
-version=1.1.1
+version=1.1.2
 revision=1
 archs=noarch
 build_style=python3-module
@@ -12,10 +12,9 @@ maintainer="Piotr Miller <nwg.piotr@gmail.com>"
 license="GPL-3.0-or-later"
 homepage="https://github.com/nwg-piotr/azote"
 distfiles="${homepage}/archive/v${version}.tar.gz"
-checksum=f7c818b11d3add7af9388589fc6658b0121772acdf899a5ba4a275d082621a63
+checksum=2caca782aa3b508c650dcdd44d49a183ac95282748edd6b960945c78986d6105
 
-do_install() {
-	python3 setup.py install --prefix=/usr --root=${DESTDIR} ${make_install_args}
+post_install() {
 	vmkdir usr/bin
 	vmkdir usr/share/${pkgname}
 	vmkdir usr/share/applications
@@ -25,4 +24,4 @@ do_install() {
 	vcopy "dist/${pkgname}.desktop" usr/share/applications
 
 	ln -sf /usr/share/${pkgname}/${pkgname}-void.sh ${DESTDIR}/usr/bin/${pkgname}
-}
\ No newline at end of file
+}
